Subject: 25.2; dired-x-hands-off-my-keys unsets remap find-file

From: Allen Li <[email-masked]>
Date: Tue, 25 Jul 2017 11:52:40 -0700

The user option `dired-x-hands-off-my-keys' implies that dired-x won't
touch the users key bindings, but it will actually set [remap find-file]
regardless.

If I set [remap find-file] personally, `dired-x' will unset it, which
contradicts the meaning of "hands off my keys" in English.

In GNU Emacs 25.2.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8), modified by
Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11803000
System Description: Ubuntu 14.04 LTS